Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsPolygonItem

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAbstractGraphicsShapeItem
                  com.trolltech.qt.gui.QGraphicsPolygonItem

All Implemented Interfaces:
  QGraphicsItemInterface, QtJambiInterface

    public class QGraphicsPolygonItem

extends QAbstractGraphicsShapeItem

The `QGraphicsPolygonItem` class provides a polygon item that you can add to a `QGraphicsScene`.

To set the item's polygon, pass a `QPolygonF` to `QGraphicsPolygonItem`'s constructor, or call the `setPolygon` function. The `polygon` function returns the current polygon.

`QGraphicsPolygonItem` uses the polygon and the pen width to provide a reasonable implementation of `boundingRect`, `shape`, and `contains`. The `paint` function draws the polygon using the item's associated pen and brush, which you can set by calling the `setPen` and `setBrush` functions.

See Also:
  `QGraphicsPathItem`, `QGraphicsRectItem`, `QGraphicsEllipseItem`, `QGraphicsTextItem`, `QGraphicsLineItem`, `QGraphicsPixmapItem`, The Graphics View Framework

Nested Class Summary
`static class` | `QGraphicsPolygonItem.enum_1` Press link for info on QGraphicsPolygonItem.enum_1

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QGraphicsPolygonItem()` Equivalent to `QGraphicsPolygonItem`(, 0).
`QGraphicsPolygonItem(QGraphicsItemInterface parent)` Equivalent to `QGraphicsPolygonItem`(`parent`, 0).
`QGraphicsPolygonItem(QGraphicsItemInterface parent, QGraphicsScene scene)` Constructs a `QGraphicsPolygonItem` with `parent` as the default polygon.
`QGraphicsPolygonItem(QPolygonF polygon)` Creates a new QGraphicsPolygonItem from `polygon`.
`QGraphicsPolygonItem(QPolygonF polygon, QGraphicsItemInterface parent)` Creates a new QGraphicsPolygonItem of the specified `polygon` and `parent`.
`QGraphicsPolygonItem(QPolygonF polygon, QGraphicsItemInterface parent, QGraphicsScene scene)` Creates a new QGraphicsPolygonItem from the given `polygon`, and with the specified `parent`.

Method Summary
`QRectF` | `boundingRect()` This function is reimplemented for internal reasons.
`boolean` | `contains(QPointF point)` This function is reimplemented for internal reasons.
`java.lang.Object` | `extension(java.lang.Object variant)` This function is reimplemented for internal reasons.
`Qt.FillRule` | `fillRule()` Returns the fill rule of the polygon.
`static QGraphicsPolygonItem` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QGraphicsPolygonItem instance pointed to by nativePointer
`boolean` | `isObscuredBy(QGraphicsItemInterface item)` This function is reimplemented for internal reasons.
`QPainterPath` | `opaqueArea()` This function is reimplemented for internal reasons.
`void` | `paint(QPainter painter, QStyleOptionGraphicsItem option, QWidget widget)` This function is reimplemented for internal reasons.
`QPolygonF` | `polygon()` Returns the item's polygon, or an empty polygon if no polygon has been set.
`void` | `setExtension(QGraphicsItem.Extension extension, java.lang.Object variant)`
`void` | `setFillRule(Qt.FillRule rule)` Sets the fill rule of the polygon to `rule`.
`void` | `setPolygon(QPolygonF polygon)` Sets the item's polygon to be the given `polygon`.
`QPainterPath` | `shape()` This function is reimplemented for internal reasons.
`boolean` | `supportsExtension(QGraphicsItem.Extension extension)`
`int` | `type()` This function is reimplemented for internal reasons.

Methods inherited from class com.trolltech.qt.gui.QAbstractGraphicsShapeItem
`acceptDrops, acceptedMouseButtons, acceptsHoverEvents, addToIndex, advance, brush, childItems, childrenBoundingRect, clearFocus, collidesWithItem, collidesWithPath, collidingItems, contextMenuEvent, cursor, data, deviceTransform, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, ensureVisible, ensureVisible, flags, focusInEvent, focusOutEvent, group, handlesChildEvents, hasCursor, hasFocus, hide, hoverEnterEvent, hoverLeaveEvent, hoverMoveEvent, inputMethodEvent, inputMethodQuery, installSceneEventFilter, isAncestorOf, isEnabled, isObscured, isObscured, isObscured, isSelected, isVisible, itemChange, keyPressEvent, keyReleaseEvent, mapFromItem, mapFromItem, mapFromItem, mapFromItem, mapFromItem, mapFromItem, mapFromParent, mapFromParent, mapFromParent, mapFromParent, mapFromParent, mapFromParent, mapFromScene, mapFromScene, mapFromScene, mapFromScene, mapFromScene, mapFromScene, mapToItem, mapToItem, mapToItem, mapToItem, mapToItem, mapToItem, mapToParent, mapToParent, mapToParent, mapToParent, mapToParent, mapToParent, mapToScene, mapToScene, mapToScene, mapToScene, mapToScene, mapToScene, mouseDoubleClickEvent, mouseMoveEvent, mousePressEvent, mouseReleaseEvent, moveBy, parentItem, pen, pos, prepareGeometryChange, removeFromIndex, removeSceneEventFilter, resetTransform, rotate, scale, scene, sceneBoundingRect, sceneEvent, sceneEventFilter, scenePos, sceneTransform, setAcceptDrops, setAcceptedMouseButtons, setAcceptsHoverEvents, setBrush, setCursor, setData, setEnabled, setFlag, setFlags, setFocus, setGroup, setHandlesChildEvents, setParentItem, setPen, setPos, setPos, setSelected, setToolTip, setTransform, setVisible, setZValue, shear, show, toolTip, topLevelItem, transform, translate, unsetCursor, update, update, wheelEvent, x, y, zValue`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QGraphicsPolygonItem

    public QGraphicsPolygonItem(QGraphicsItemInterface parent)

  Equivalent to `QGraphicsPolygonItem`(`parent`, 0).

### QGraphicsPolygonItem

    public QGraphicsPolygonItem()

  Equivalent to `QGraphicsPolygonItem`(, 0).

### QGraphicsPolygonItem

    public QGraphicsPolygonItem(QGraphicsItemInterface parent,
                                QGraphicsScene scene)

  Constructs a `QGraphicsPolygonItem` with `parent` as the default polygon. `scene` is passed to `QAbstractGraphicsShapeItem`'s constructor.

  See Also:
    `QGraphicsScene::addItem`

### QGraphicsPolygonItem

    public QGraphicsPolygonItem(QPolygonF polygon,
                                QGraphicsItemInterface parent)

  Creates a new QGraphicsPolygonItem of the specified `polygon` and `parent`.

### QGraphicsPolygonItem

    public QGraphicsPolygonItem(QPolygonF polygon)

  Creates a new QGraphicsPolygonItem from `polygon`.

### QGraphicsPolygonItem

    public QGraphicsPolygonItem(QPolygonF polygon,
                                QGraphicsItemInterface parent,
                                QGraphicsScene scene)

  Creates a new QGraphicsPolygonItem from the given `polygon`, and with the specified `parent`. It is then added to `scene`.

Method Detail

### fillRule

    public final Qt.FillRule fillRule()

  Returns the fill rule of the polygon. The default fill rule is Qt::OddEvenFill.

  See Also:
    `setFillRule`, `QPainterPath::fillRule`, `QPainter::drawPolygon`

### polygon

    public final QPolygonF polygon()

  Returns the item's polygon, or an empty polygon if no polygon has been set.

  See Also:
    `setPolygon`

### setFillRule

    public final void setFillRule(Qt.FillRule rule)

  Sets the fill rule of the polygon to `rule`. The default fill rule is Qt::OddEvenFill.

  See Also:
    `fillRule`, `QPainterPath::fillRule`, `QPainter::drawPolygon`

### setPolygon

    public final void setPolygon(QPolygonF polygon)

  Sets the item's polygon to be the given `polygon`.

  See Also:
    `polygon`

### boundingRect

    public QRectF boundingRect()

  This function is reimplemented for internal reasons.

  Specified by:
    `boundingRect` in interface `QGraphicsItemInterface`
  Specified by:
    `boundingRect` in class `QAbstractGraphicsShapeItem`
  See Also:
    `shape`, `contains`, The Graphics View Coordinate System, `prepareGeometryChange`

### contains

    public boolean contains(QPointF point)

  This function is reimplemented for internal reasons.

  Specified by:
    `contains` in interface `QGraphicsItemInterface`
  Overrides:
    `contains` in class `QAbstractGraphicsShapeItem`
  See Also:
    `shape`, `boundingRect`, `collidesWithPath`

### extension

    public java.lang.Object extension(java.lang.Object variant)

  This function is reimplemented for internal reasons.

  Specified by:
    `extension` in interface `QGraphicsItemInterface`
  Overrides:
    `extension` in class `QAbstractGraphicsShapeItem`
  See Also:
    `setExtension`

### isObscuredBy

    public boolean isObscuredBy(QGraphicsItemInterface item)

  This function is reimplemented for internal reasons.

  Specified by:
    `isObscuredBy` in interface `QGraphicsItemInterface`
  Overrides:
    `isObscuredBy` in class `QAbstractGraphicsShapeItem`
  See Also:
    `opaqueArea`, `isObscured`

### opaqueArea

    public QPainterPath opaqueArea()

  This function is reimplemented for internal reasons.

  Specified by:
    `opaqueArea` in interface `QGraphicsItemInterface`
  Overrides:
    `opaqueArea` in class `QAbstractGraphicsShapeItem`
  See Also:
    `isObscuredBy`, `isObscured`, `shape`

### paint

    public void paint(QPainter painter,
                      QStyleOptionGraphicsItem option,
                      QWidget widget)

  This function is reimplemented for internal reasons.

  Specified by:
    `paint` in interface `QGraphicsItemInterface`
  Specified by:
    `paint` in class `QAbstractGraphicsShapeItem`

### setExtension

    public void setExtension(QGraphicsItem.Extension extension,
                             java.lang.Object variant)

  Specified by:
    `setExtension` in interface `QGraphicsItemInterface`
  Overrides:
    `setExtension` in class `QAbstractGraphicsShapeItem`
  See Also:
    `extension`

### shape

    public QPainterPath shape()

  This function is reimplemented for internal reasons.

  Specified by:
    `shape` in interface `QGraphicsItemInterface`
  Overrides:
    `shape` in class `QAbstractGraphicsShapeItem`
  See Also:
    `boundingRect`, `contains`, `prepareGeometryChange`

### supportsExtension

    public boolean supportsExtension(QGraphicsItem.Extension extension)

  Specified by:
    `supportsExtension` in interface `QGraphicsItemInterface`
  Overrides:
    `supportsExtension` in class `QAbstractGraphicsShapeItem`

### type

    public int type()

  This function is reimplemented for internal reasons.

  Specified by:
    `type` in interface `QGraphicsItemInterface`
  Overrides:
    `type` in class `QAbstractGraphicsShapeItem`

### fromNativePointer

    public static QGraphicsPolygonItem fromNativePointer(QNativePointer nativePointer)

  This function returns the QGraphicsPolygonItem instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD